## org.biojava.utils
Class ListTools

    java.lang.Object
      org.biojava.utils.ListTools

All Implemented Interfaces:
  java.io.Serializable

    public class ListTools

extends java.lang.Object
implements java.io.Serializable

Author:
  Matthew Pocock, Thomas Down, Mark Schreiber
See Also:
  Serialized Form

Nested Class Summary
`static class` `ListTools.Doublet`
`static interface` `ListTools.Mapper` Maps one object to another.
`static class` `ListTools.SeriesList` A list that represents a series of values.
`static class` `ListTools.Triplet`

Field Summary
`static ListTools.Mapper` `NULL_MAPPER`

Constructor Summary
`ListTools()`

Method Summary
`static java.util.List` `createList(java.util.List l)`
`static java.util.List` `createList(java.lang.Object[] a)`
`static ListTools.SeriesList` `createSeriesList(java.lang.String leader, java.lang.String trailer, int size)` Create a new SeriesList with the given leader, trailer and size.
`static java.util.List` `mapList(java.util.List list, ListTools.Mapper mapper)`
`static java.util.Map` `mapMap(java.util.Map map, ListTools.Mapper keyMapper, ListTools.Mapper valMapper)`
`static java.util.Set` `mapSet(java.util.Set set, ListTools.Mapper mapper)`
`static java.util.Iterator` `nonRemoveIterator(java.util.Iterator i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_MAPPER

    public static final ListTools.Mapper NULL_MAPPER

Constructor Detail

### ListTools

    public ListTools()

Method Detail

### nonRemoveIterator

    public static java.util.Iterator nonRemoveIterator(java.util.Iterator i)

### createList

    public static java.util.List createList(java.util.List l)

### createList

    public static java.util.List createList(java.lang.Object[] a)

### createSeriesList

    public static ListTools.SeriesList createSeriesList(java.lang.String leader,
                                                        java.lang.String trailer,
                                                        int size)

  Create a new SeriesList with the given leader, trailer and size.

  Parameters:
    `leader` - the String that will prefix the index
    `trailer` - the String that will suffix the index
    `size` - the length of the list
  Throws:
    `java.lang.NullPointerException` - if leader or trailer are null (use the empty string instead)
    `java.lang.IllegalArgumentException` - if the size is negative

### mapList

    public static java.util.List mapList(java.util.List list,
                                         ListTools.Mapper mapper)

### mapSet

    public static java.util.Set mapSet(java.util.Set set,
                                       ListTools.Mapper mapper)

### mapMap

    public static java.util.Map mapMap(java.util.Map map,
                                       ListTools.Mapper keyMapper,
                                       ListTools.Mapper valMapper)